﻿.iconCalcContainer {
    background-color: rgba(255, 255, 255, .8);
    border-radius: 5px;
    border: 1px solid rgba(255, 255, 255, .9);
    padding: .25rem;
    max-width: 420px;
    box-shadow: 0 0 100px rgba(0, 0, 0, .2) !important;
}

.iconCalculatorWrapper {
    background: transparent;
}

    .iconCalculatorWrapper .list-group-item {
        border-top-left-radius: 0 !important;
        border-top-right-radius: 0 !important;
        border-radius: 5px !important;
        border: none;
        margin: .25rem;
        cursor: pointer;
        padding: 1rem 1.25rem;
        /* EASING */
        -webkit-transition: all .3s ease-out 0s;
        -moz-transition: all .3s ease-out 0s;
        -o-transition: all .3s ease-out 0s;
        transition: all .3s ease-out 0s;
    }

        .iconCalculatorWrapper .list-group-item:hover {
            filter: brightness(1.05);
        }

#loanIconDisplayWrapper h2, .loanSelectedCalculator h2 {
    margin-bottom: 12px;
}

.calcInputsInfoIcon {
    margin-bottom: 5px;
}

.calcIconResults .nav-fill .nav-item {
    background: #dfdfdf;
    border: none;
}

.row-equal-watch {
    margin-right: 0;
    margin-left: 0;
}

.iconcalcback {
    margin-top: 12px;
    font-size: .875rem;
}

.dropdown-toggle::after {
    right: 1.25rem !important;
}

.btn-light:not(:disabled):not(.disabled).active, .btn-light:not(:disabled):not(.disabled):active, .show > .btn-light.dropdown-toggle, .bootstrap-select > .dropdown-toggle {
    border-radius: 5px !important;
}

.nav-tabs {
    margin-bottom: .5rem;
}

.nav-link {
    padding: .5rem 1rem;
    text-align: center !important;
}

.loanSelectedCalculator {
}

.iconHeader H1 {
    color: #fff;
    font-size: clamp(2.25rem,2.25rem + 2vw,2.375rem) !important;
    font-weight: 500 !important;
    text-align: center;
    font-family: 'Libre Franklin';
}


.iconHeader P {
    color: #fff;
    font-size: clamp(2rem,2rem + 1.5vw,2rem) !important;
    font-weight: 500 !important;
    text-align: center;
    font-family: 'Libre Franklin';
}

.calcIconSliders.calcInputsInfoIcon {
    border: 0;
    background-color: transparent;
    font-size: 22px !important;
    line-height: 1.25rem;
    outline: none !important;
    opacity: 1;
    text-align: right;
    margin-top: 0;
    padding-right: 0;
    padding: .375rem .75rem;
    color: #2b444f;
    font-weight: 600;
}

.iconTermsAndConditions {
    font-size: 11px !important;
    line-height: .875rem;
    opacity: .7;
    position: relative;
    margin-bottom: 0;
    font-family: 'Open Sans';
    padding-right: .5rem;
}

.w-45 {
    width: calc(48.89% - .25rem) !important;
}

/*Icon calculator*/
#loanSelectedCalculator {
    display: none;
    padding: .25rem;
}

.row.equal {
    display: flex;
    flex-wrap: wrap;
}


#loanIconDisplay h2 {
    text-align: center;
}

#loanIconDisplay h3 {
    width: 100%;
    color: #fff;
    text-align: center;
}

#loanIconDisplay #loanIcon {
    margin-left: auto;
    margin-right: auto;
    display: block;
    width:40px;
    height:40px;
}




/****Icon Calculator*/


.iconCalcHeading {
    width: 100%;
    color: #fff;
    display: block;
    text-align: center;
    padding-top: 7px;
    line-height: 1rem;
    font-size: .813rem;
    text-transform: uppercase;
}


.scroll_down {
    position: absolute;
    bottom: 5vh;
    width: 100%;
    text-align: center;
    color: #fff;
    font-size: 13px;
    z-index: 8;
}

    .scroll_down i {
        position: relative;
        -webkit-animation: bounce 2s infinite;
        animation: bounce 2s infinite;
        height: 44px;
        width: 28px;
        line-height: 54px;
        border-radius: 30px;
        border: 2px solid #ffffff;
        display: inline-block;
        color: #fff;
        font-size: 10px;
    }



.calcInputsInfoIcon {
    font-weight: 800;
}

.calcIconButton {
    width: 100%;
}

    .calcIconButton .button {
        max-width: 100%;
    }



.form-horizontal > div > div {
    padding: .25rem 1rem;
}

.increment, .decrement, .incrementTerm, .decrementTerm, .calcSmallButton {
    margin: auto;
    border-radius: 50%;
    border: none;
    background: transparent;
    color: white;
    font-size: .75rem;
    width: 30px;
    height: 30px;
}

    .increment i, .incrementTerm i, .decrement i, .decrementTerm i {
        width: 30px;
        margin: auto;
        right: 0;
        top: 0;
        bottom: 0;
        height: 15px;
    }


.RepaymentsHeadingSub {
    margin: auto 0 !important;
}

.calcsmallheading {
    position: relative;
    top: 8px;
    text-transform: uppercase;
    opacity: .6;
    font-size: 1rem;
    text-transform: uppercase;
    font-size: clamp(.375rem, .375rem + 2vw, .688rem);
    opacity: .6;
    font-family: 'Open Sans';
}

.form-control[readonly] {
    text-transform: uppercase;
    font-size: clamp(.375rem, .375rem + 2vw, .688rem);
    opacity: .6;
    font-family: 'Open Sans';
}

    .form-control[readonly].smallTextarea {
    }

    .form-control[readonly].calctextbox {
        border: 0;
        background-color: transparent;
        font-size: 22px;
        line-height: 1.25rem;
        outline: none !important;
        opacity: 1;
        text-align: right;
        margin-top: 0;
        padding-right: 0;
    }




    .form-control[readonly].calctextbox {
        border: 0;
        background-color: transparent;
        font-size: 22px;
        line-height: 1.25rem;
        outline: none !important;
    }

.calcHeading {
    text-transform: uppercase;
    font-size: clamp(.375rem, .375rem + 2vw, .688rem);
    opacity: .6;
    font-family: 'Open Sans';
}

.calcResultsInfo {
    font-size: 1.25rem;
    line-height: 1.25rem;
    font-weight: 600;
}





/* ui slider pips */

.ui-slider-horizontal.ui-slider-pips {
    margin-bottom: 2.8em;
}

.ui-slider-pips .ui-slider-number,
.ui-slider-pips .ui-slider-pip-hide {
    display: none;
}

.ui-slider-pips .ui-slider-pip-number .ui-slider-number {
    display: block;
}



.ui-slider-pips .ui-slider-pip {
    width: 2em;
    height: 1em;
    line-height: 1em;
    position: absolute;
    font-size: 0.8em;
    color: #999;
    overflow: visible;
    text-align: center;
    top: 20px;
    left: 20px;
    margin-left: -1em;
    cursor: pointer;
}

.ui-slider-pips .ui-slider-line {
    background: #999;
    width: 1px;
    height: 3px;
    position: absolute;
    left: 50%;
}

.ui-slider-pips .ui-slider-number {
    position: absolute;
    top: 5px;
    left: 50%;
    margin-left: -1em;
    width: 2em;
}

.ui-slider-pip:hover .ui-slider-number {
    color: white;
    font-weight: bold;
}




.ui-slider-vertical.ui-slider-pips {
    margin-bottom: 0;
    margin-right: 2em;
}

    .ui-slider-vertical.ui-slider-pips .ui-slider-pip {
        text-align: left;
        top: 20px;
        left: 20px;
        margin-left: 0;
        margin-top: -0.5em;
    }

    .ui-slider-vertical.ui-slider-pips .ui-slider-line {
        width: 3px;
        height: 1px;
        position: absolute;
        top: 50%;
        left: 0;
    }

    .ui-slider-vertical.ui-slider-pips .ui-slider-number {
        top: 50%;
        left: 0.5em;
        margin-left: 0;
        margin-top: -0.5em;
        width: 2em;
    }

.ui-slider-vertical.ui-slider-pip:hover .ui-slider-number {
    color: white;
    font-weight: bold;
}



.ui-slider-float .ui-slider-handle {
}

.ui-slider-float .ui-slider-tip,
.ui-slider-float .ui-slider-tip-number {
    position: absolute;
    visibility: hidden;
    top: -40px;
    display: block;
    width: auto;
    margin-left: -21px;
    left: 0;
    height: auto;
    line-height: 20px;
    background: white;
    text-align: center;
    font-size: 12px;
    opacity: -1;
    transition: all 0.4s ease;
    color: #333;
    padding: 5px 10px;
    white-space: nowrap;
}

.ui-slider-float .ui-slider-handle:hover .ui-slider-tip,
.ui-slider-float .ui-slider-handle:focus .ui-slider-tip,
.ui-slider-float .ui-slider-pip:hover .ui-slider-tip-number {
    opacity: 0.9;
    top: -40px;
    color: #333;
    visibility: visible;
}

.ui-slider-float .ui-slider-pip .ui-slider-tip-number {
    top: 15px;
}

.ui-slider-float .ui-slider-pip:hover .ui-slider-tip-number {
    top: 5px;
    font-weight: normal;
}

.ui-slider-float .ui-slider-tip:after,
.ui-slider-float .ui-slider-pip .ui-slider-tip-number:after {
    content: " ";
    width: 0;
    height: 0;
    border: 5px solid rgba(255,255,255,0);
    border-top-color: rgba(255,255,255,1);
    position: absolute;
    bottom: -10px;
    left: 50%;
    margin-left: -5px;
}

.ui-slider-float .ui-slider-pip .ui-slider-tip-number:after {
    border: 5px solid rgba(255,255,255,0);
    border-bottom-color: rgba(255,255,255,1);
    top: -10px;
}



/* ------------------------- */
/* demo stuff */







.ui-slider {
}

.ui-slider-horizontal {
    height: 3px;
    border: none !important;
}

    .ui-slider-horizontal .ui-slider-handle {
        height: 20px;
        width: 20px;
        border: none;
        margin-left: -15px;
        cursor: pointer;
        border-radius: 50%;
        margin-top: -4px;
    }

    .ui-slider-horizontal.green .ui-slider-handle {
    }

.ui-slider-range.ui-corner-all.ui-widget-header.ui-slider-range-min {
}






@media (max-width: 1199.98px) {

    .calcSmallButton .button {
        min-width: 120px;
    }

    .iconCalcPanel {
        background: #4997be;
    }

    .iconCalcContainer {
        margin: 3rem auto;
    }

    .iconCalcContainer {
        max-width: 600px;
    }

    .w-45 {
        width: calc(49.25% - .25rem) !important;
    }
}



@media (max-width: 991.98px) {
}

@media (max-width: 767.98px) {

    .ui-slider-pip:nth-child(odd) .ui-slider-number {
        display: none;
    }

    .calcSmallResults {
        border-radius: 5px 5px 0 0;
    }

    .calcSmallButtonWrapper {
        padding-bottom: 2.5rem;
        border-radius: 0 0 5px 5px;
    }

    .calcSmallButton, .calcSmallButton .button {
        width: 100%;
    }

    .CalculatorSmallWrapper {
        padding-bottom: 2.5rem;
        border-radius: 0 0 5px 5px;
    }

    .calcSmallLoanName {
        border-radius: 0 0 0 5px;
    }
}

@media (max-width: 575.98px) {

    .ui-slider-pip:nth-child(2n+1) .ui-slider-number {
        display: none;
    }

    .ui-slider-pip:nth-child(4n) .ui-slider-number {
        display: none;
    }

    .calcSmallLoanApr {
        flex-flow: row;
        border-radius: 0 0 5px 5px;
    }

        .calcSmallLoanApr > div {
            font-size: 1rem;
        }

    .calcSmallLoanName {
        border-radius: 0;
    }

    .CalculatorSmallWrapper {
        padding-bottom: 0;
    }

    .calcSmallLoanName > div, .calcSmallLoanApr > div {
        margin: auto 1rem;
    }

    .increment, .decrement, .incrementTerm, .decrementTerm, .calcSmallButton {
        background: transparent !important;
    }

    .calcsmallheading {
        top: 0;
        margin: 0 1rem;
    }

    .RepaymentsHeadingSub {
        position: relative;
        top: -6px;
    }

    .calcSmallLoanApr {
        border-radius: 0;
    }

    .RepaymentsHeadingSub {
        margin: auto 1rem !important;
    }

    .w-45 {
        width: calc(48.6% - .25rem) !important;
    }

    .loanSelectedCalculator .fa-inverse {
        color: #3f535d;
    }

    #loanIconDisplayWrapper h2, .loanSelectedCalculator h2 {
        font-size: 1.2rem;
    }
}

.calcInputsInfo {
    border: 0;
    background-color: transparent;
    font-size: 22px !important;
    line-height: 1.25rem;
    outline: none !important;
    opacity: 1;
    text-align: right;
    margin-top: 0;
    padding-right: 0;
    padding: .375rem .75rem;
    color: #fff;
    font-weight: 600;
}







.nav-tabs .nav-link.active::before {
    position: absolute;
    content: '';
    width: 10px;
    height: 10px;
    bottom: -5px;
    transform: rotate(45deg);
    background: #e47a52 !important;
    right: calc(50% - 6px);
    /* EASING */
    -webkit-transition: all .3s ease-out 0s;
    -moz-transition: all .3s ease-out 0s;
    -o-transition: all .3s ease-out 0s;
    transition: all .3s ease-out 0s;
}

.nav-tabs .nav-link.active::after {
    position: absolute;
    content: '';
    width: 10px;
    height: 10px;
    bottom: -4px;
    transform: rotate(45deg);
    right: calc(50% - 6px);
    /* EASING */
    -webkit-transition: all .3s ease-out 0s;
    -moz-transition: all .3s ease-out 0s;
    -o-transition: all .3s ease-out 0s;
    transition: all .3s ease-out 0s;
}


.calcIconResults .nav-fill .nav-item {
    background: #ffffff;
}

    .calcIconResults .nav-fill .nav-item:first-child {
        border-radius: 5px 0 0 0;
    }

    .calcIconResults .nav-fill .nav-item:last-child {
        border-radius: 0 5px 0 0;
    }

.section-title.calcIconSectionTitle {
    font-size: 1rem;
}

.navIconTabContent {
    background: #4997be;
    border-radius: 0 0 5px 5px;
    color: white;
}

.navIconCalc {
    margin-bottom: -1px;
}

.iconcalcback {
    cursor: pointer;
}

    .iconcalcback img {
        background: rgba(54, 76, 86, .5);
        border-radius: 50%;
        width: 30px;
        margin-left: auto;
        margin-right: auto;
    }

    .iconcalcback:before {
        /* content: '';
        position: absolute;
        top: -5px;
        left: 30px;
        width: 30px;
        height: 30px;
        background: #acacae;
        border-radius: 50%;*/
    }

    .iconcalcback:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
    }

.iconTermsAndConditions {
    padding: 0 0 10px;
}


.CalculatorIconDropDown .dropdown-item {
    padding: .25rem .75rem;
}

.CalculatorIconDropDown .dropdown-menu {
    border-radius: 0 0 5px 5px;
}
